<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>&quot;typescript-1.5&quot; | @cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="_typescript_1_5_.html">&quot;typescript-1.5&quot;</a>
				</li>
			</ul>
			<h1>External module &quot;typescript-1.5&quot;</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Variables</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraya" class="tsd-kind-icon">destruct<wbr>ArrayA</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarrayb" class="tsd-kind-icon">destruct<wbr>ArrayB</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarrayc" class="tsd-kind-icon">destruct<wbr>ArrayC</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraywithignoresa" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>IgnoresA</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraywithignoresrest" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Ignores<wbr>Rest</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraywithrest" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Rest</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraywithresta" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestA</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructarraywithrestb" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestB</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructobjecta" class="tsd-kind-icon">destruct<wbr>ObjectA</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructobjectb" class="tsd-kind-icon">destruct<wbr>ObjectB</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#destructobjectc" class="tsd-kind-icon">destruct<wbr>ObjectC</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Functions</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_5_.html#drawtext" class="tsd-kind-icon">draw<wbr>Text</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-not-exported">
				<h2>Variables</h2>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraya" class="tsd-anchor"></a>
					<h3>destruct<wbr>ArrayA</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ArrayA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarrayb" class="tsd-anchor"></a>
					<h3>destruct<wbr>ArrayB</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ArrayB<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarrayc" class="tsd-anchor"></a>
					<h3>destruct<wbr>ArrayC</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ArrayC<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;10</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraywithignoresa" class="tsd-anchor"></a>
					<h3>destruct<wbr>Array<wbr>With<wbr>IgnoresA</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>IgnoresA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:20</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraywithignoresrest" class="tsd-anchor"></a>
					<h3>destruct<wbr>Array<wbr>With<wbr>Ignores<wbr>Rest</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Ignores<wbr>Rest<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">[]</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:20</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraywithrest" class="tsd-anchor"></a>
					<h3>destruct<wbr>Array<wbr>With<wbr>Rest</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Rest<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">[]</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:15</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraywithresta" class="tsd-anchor"></a>
					<h3>destruct<wbr>Array<wbr>With<wbr>RestA</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:15</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructarraywithrestb" class="tsd-anchor"></a>
					<h3>destruct<wbr>Array<wbr>With<wbr>RestB</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestB<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:15</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructobjecta" class="tsd-anchor"></a>
					<h3>destruct<wbr>ObjectA</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ObjectA<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructobjectb" class="tsd-anchor"></a>
					<h3>destruct<wbr>ObjectB</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ObjectB<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="destructobjectc" class="tsd-anchor"></a>
					<h3>destruct<wbr>ObjectC</h3>
					<div class="tsd-signature tsd-kind-icon">destruct<wbr>ObjectC<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.5.ts:4</li>
						</ul>
					</aside>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-not-exported">
				<h2>Functions</h2>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="drawtext" class="tsd-anchor"></a>
					<h3>draw<wbr>Text</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">draw<wbr>Text<span class="tsd-signature-symbol">(</span>__namedParameters<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in typescript-1.5.ts:29</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Destructuring function parameters.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>__namedParameters: <span class="tsd-signature-type">object</span></h5>
									<ul class="tsd-parameters">
										<li class="tsd-parameter">
											<h5>bold<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></h5>
											<div class="tsd-comment tsd-typography">
												<p>Should it be bold?</p>
											</div>
										</li>
										<li class="tsd-parameter">
											<h5>location<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">[</span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">, </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">]</span></h5>
											<div class="tsd-comment tsd-typography">
												<p>This is the location</p>
											</div>
										</li>
										<li class="tsd-parameter">
											<h5>text<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
											<div class="tsd-comment tsd-typography">
												<p>This is the text</p>
											</div>
										</li>
									</ul>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_access_.html">"access"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_flattened_.html">"flattened"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_functions_.html">"functions"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_generics_.html">"generics"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_modules_.html">"modules"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraya" class="tsd-kind-icon">destruct<wbr>ArrayA</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarrayb" class="tsd-kind-icon">destruct<wbr>ArrayB</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarrayc" class="tsd-kind-icon">destruct<wbr>ArrayC</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraywithignoresa" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>IgnoresA</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraywithignoresrest" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Ignores<wbr>Rest</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraywithrest" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>Rest</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraywithresta" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestA</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructarraywithrestb" class="tsd-kind-icon">destruct<wbr>Array<wbr>With<wbr>RestB</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructobjecta" class="tsd-kind-icon">destruct<wbr>ObjectA</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructobjectb" class="tsd-kind-icon">destruct<wbr>ObjectB</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#destructobjectc" class="tsd-kind-icon">destruct<wbr>ObjectC</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_5_.html#drawtext" class="tsd-kind-icon">draw<wbr>Text</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>